.flat_detail .left_block_flat {margin-right: 32px; border: 1px solid #F0F1EB; border-radius: 12px; padding: 30px 30px 70px 30px; position: relative;}
.flat_detail .left_block_flat_content {border: 1px solid #F0F1EB; border-radius: 12px; width: 100%; height: 100%; position: relative;}
.flat_detail .project_menu_container {position: absolute; bottom: 20px; left: 0; right: 0; z-index: 1;}

/*Верхняя панель*/
.flat_detail .left_block_flat .image_top_panel {margin-bottom: 20px;}
.flat_detail .left_block_flat .image_top_panel .show_sun_container .styled_switch {margin: 3px 0 0 10px;}
.flat_detail .left_block_flat .image_top_panel .show_sun_container img {width: 30px; height: 30px;}
.flat_detail .left_block_flat .image_top_panel .iconfont_container.cnt_info {padding-left: 25px; margin-left: 20px;}
.flat_detail .left_block_flat .image_top_panel .iconfont_container.cnt_info::before {color: var(--OPTION_BASE_COLOR); top: 0;}
.flat_detail .left_block_flat .image_top_panel .iconfont_container.cnt_view::before {content: "\e9d5"; margin-right: 3px;}
.flat_detail .left_block_flat .image_top_panel .iconfont_container.cnt_fav::before {content: "\e9f5"; margin-right: 3px;}

/*Картинки*/
.flat_detail .flat_item_images .item {
    overflow: hidden; 
    width: 100%; 
    height: 100%; 
    text-align: center;
    margin-bottom: 40px
}
.flat_detail .flat_item_images .item > a {display: block; width: 100%; height: 100%;}
.flat_detail .flat_item_images .item img {max-height: 500px; width: auto; margin: 0 auto; max-width: 100%;}

.flat_detail .compass {position: absolute; top: 0px; right: 0; z-index: 2;}
.flat_detail .compass img {width: 60px; height: 60px;}



/*План этажа*/
.flat_detail .floor_svg {height: 100%;}
.flat_detail .floor_svg .svg_floor {max-height: 600px!important;} 

/*Солнце*/
.svg_sun_wrapper {margin: 0 auto;}
.svg_sun_wrapper #svg_sun {cursor: pointer;}
.sun_container {
    bottom:0;
    left: 0; right: 0;
    position: absolute; 
    z-index: 10; 
    width: 100%; 
    height: 100%; 
    visibility: hidden; 
    opacity: 0;
}
.sun_container.active {visibility: visible; opacity: 1; display: -ms-flexbox !important; display: flex !important;}
.sun_container_overlay {bottom:0; left: 0; right: 0; background-color: rgba(255,255,255,0.6); height: 100%; width: 100%; position: absolute; z-index: 9;}
.sun_container #pointer {cursor: pointer;}

/*SVG схемы*/
.flat_detail .flat_floor.disabled path {fill: rgba(102,102,102,0.65) !important;transition: all ease 0.3s;opacity: 1 !important;}
.flat_detail .scheme_item_selected path {fill: none; stroke: #ff3333!important; stroke-width: 7px!important; opacity: 1!important;}
.flat_detail .rooms_label {
    width: 70px;
    height: 70px;
    line-height: 70px;
    background-color: var(--OPTION_BASE_COLOR);
    font-size: 30px;
    text-align: center;
    border-radius: 35px;
    color: #FFF;
    cursor: pointer;
    border: 1px solid var(--OPTION_BASE_COLOR);    
}

.flat_detail .genplan_path:not(.scheme_item_selected) path {fill: rgba(102,102,102,0.65) !important;transition: all ease 0.3s;opacity: 1 !important;}

.flat_detail .section_label {opacity: 0.7; padding: 20px; background-color: #CCC; font-size: 20px; color:var(--OPTION_BASE_COLOR); border: 1px solid #949499; border-radius: 50px; padding: 10px 24px; display: inline-block;}
.flat_detail .section_label.active {opacity: 1; background-color: var(--OPTION_BASE_COLOR); color: #FFF; }



.flat_detail .right_block_flat {flex: 0 0 450px; max-width: 450px;border: 1px solid #F0F1EB;border-radius: 12px; overflow: hidden;}
.flat_detail .flat_disabled {background-color: #FBFBFB}

/*Заголовок*/
.flat_detail .flat_header {padding: 15px 25px; border-bottom: 1px solid #F0F1EB;}
.flat_detail .flat_header .buttons .btn {margin-left: 4px;}
.flat_detail .flat_header .buttons .btn.like.active svg path {stroke: var(--OPTION_BASE_COLOR)}
.flat_detail .flat_header .buttons .btn.share svg {margin-left: -2px;}
.flat_detail .flat_header .flat_id {text-align: center; padding: 8px 0; font-size: 12px; color: #949499;}
.flat_detail .share_href_container {left: -230px!important;}


/*Инфо*/
.flat_detail .flat_info {padding: 25px 25px 10px 25px;}
.flat_detail .flat_info sup {vertical-align: top; font-size: 10px}

.flat_detail .flat_info .area_label {font-weight: 600;}
.flat_detail .flat_info .area_label svg {margin: -2px 5px 0 0}
.flat_detail .flat_info .area_label svg path {stroke: var(--OPTION_BASE_COLOR)!important;}

.flat_detail .flat_info .flat_name {font-weight: 600; margin: 5px 0 15px 0;}

.flat_detail .flat_info .descr_line_container dl {font-weight: 300;}
.flat_detail .flat_info .descr_line_container dl {margin-bottom: 8px;}

.flat_detail .flat_options_wrapper {padding: 0 25px 25px 25px;}
.flat_detail .flat_options_wrapper .prop_list_text {font-size: 14px; line-height: 1.3;}

/*Проект, секция*/
.project_info {padding: 25px 25px 0 25px; border-top: 1px solid #F0F1EB;}
.flat_detail .project_descr > div {margin-bottom: 10px; position: relative;}
.flat_detail .project_descr > div {margin-right: 10px;}
.flat_detail .project_descr span {color: var(--TEXT-COLOR)}
.flat_detail .project_descr > div::before {
    margin-top: -3px;
    display: inline-block;
    vertical-align: middle;
    content: "/";
    margin: -3px 7px 0 0;
    color: var(--OPTION_BASE_COLOR);
    font-weight: 600;
}

/*Цена*/
.flat_detail .price_container {padding: 25px 25px 0 25px; border-top: 1px solid #F0F1EB;}
.flat_detail .area {font-size: 28px; font-weight: 500;}
.flat_detail .price {color: var(--OPTION_BASE_COLOR); font-size: 24px; font-weight: 500;}
.flat_detail .old_price {color: #949499; font-size: 16px; font-weight: 500; text-decoration: line-through; line-height: 24px; margin-left: 15px;}
.flat_detail .ipoteka_payment {margin: 7px 0; font-size: 14px;}


/*Лейблы*/
.flat_detail .labels > div {color: #FFF; background-color: var(--OPTION_BASE_COLOR); padding: 2px 5px 3px 5px; border-radius: 4px; display: inline-block; font-size: 12px; margin-bottom: 7px;}
.flat_detail .labels > div:nth-child(2n) {background-color: var(--OPTION_BASE_COLOR_D2);}
.flat_detail .labels > div:nth-child(3n) {background-color: var(--OPTION_BASE_COLOR_D4);}
.flat_detail .labels > div:not(:last-child) {margin-right: 5px;}
.flat_detail .labels > div.alert_label {background-color: #ff0049;}

/*Кнопки*/
.flat_detail .action_buttons {padding: 0 25px 25px 25px;}
.flat_detail .action_buttons .btn_container {flex: 1 0;}




/*Интерактив*/
.flat_floor .active .path {
    fill: var(--OPTION_BASE_COLOR)!important;
    stroke: var(--OPTION_BASE_COLOR)!important;
    stroke-width: 3;
    opacity: 0.5!important;
}
.flat_floor.disabled path, .flat_floor.disabled .active .path {
    fill: rgba(102,102,102,0.65) !important;
    transition: all ease 0.3s;
     opacity: 1!important;
}
.flat_path .active .tooltip {
    fill: var(--OPTION_BASE_COLOR)!important;
    stroke: var(--OPTION_BASE_COLOR)!important;
    stroke-width: 3;
    opacity: 0.4!important;
    min-width: 300px;
}
.flat_floor:hover .is_action {opacity: 0.1;}
.flat_floor.disabled {cursor: default;}


/*#flat_popup*/
#flat_popup {max-width: 96%; vertical-align: top; padding-top: 30px;}
#flat_popup h3, #floor_popup h3 {margin: 7px 0 14px;}
#flat_popup .fancybox-close-small {right: 25px!important; top: 15px!important;}
#flat_popup .fancybox-close-small svg {width: 40px; height: 40px;}

#flat_popup .popup_content {margin-top: 15px;}


#flat_popup.ajax_form.popup {width: auto;}
#flat_popup .flat_detail .left_block_flat {width: 850px;}

/*.col-xl-  (>= 1200px)*/
@media screen and (min-width: 1200px)
{
           
}
/*.col-lg-  (>= 992px)*/
@media screen and (max-width: 1200px)
{
    .flat_detail .right_block_flat {flex: 0 0 350px; max-width: 350px;}   
}
/*.col-md-  (>= 768px)*/
@media screen and (max-width: 991px)
{
    .flat_detail_blocks {-ms-flex-wrap: wrap !important; flex-wrap: wrap !important;}    
    .flat_detail_blocks .left_block_flat {margin-right: 0; margin-bottom: 20px;}
    .flat_detail_blocks .right_block_flat {flex: 0 0 100%; max-width: 100%;}
    
    .flat_detail .compass img {width: 40px; height: 40px; opacity: 0.9;}
    
}
/*.col-sm-  (>= 576px)*/
@media screen and (max-width: 767px)
{
    
}
/*.col-*/
@media screen and (max-width: 575px)
{
    
}
